Package org.picocontainer.parameters

# Class AbstractParameter

java.lang.Object
org.picocontainer.parameters.AbstractParameter

All Implemented Interfaces:
  `Parameter`

Direct Known Subclasses:
  `BasicComponentParameter`, `CollectionComponentParameter`, `ConstantParameter`, `DefaultConstructorParameter`, `NullParameter`

public abstract class AbstractParameter extends Object implements Parameter

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.picocontainer.Parameter

`Parameter.DelegateResolver, Parameter.NotResolved, Parameter.Resolver, Parameter.ValueResolver`

## Field Summary

### Fields inherited from interface org.picocontainer.Parameter

`DEFAULT, ZERO`

## Constructor Summary

Constructors
Constructor
Description
`AbstractParameter()`

## Method Summary

Modifier and Type
Method
Description
`final boolean`
`isResolvable(PicoContainer container, ComponentAdapter<?> forAdapter, Type expectedType, NameBinding expectedNameBinding, boolean useNames, Annotation binding)`
Deprecated.
`final Object`
`resolveInstance(PicoContainer container, ComponentAdapter<?> forAdapter, Type expectedType, NameBinding expectedNameBinding, boolean useNames, Annotation binding)`
Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.picocontainer.Parameter

`accept, resolve, verify`

## Constructor Details

### AbstractParameter

public AbstractParameter()

## Method Details

### resolveInstance

@Deprecated public final Object resolveInstance(PicoContainer container, ComponentAdapter<?> forAdapter, Type expectedType, NameBinding expectedNameBinding, boolean useNames, Annotation binding)
Deprecated.

Specified by:
  `resolveInstance` in interface `Parameter`

### isResolvable

@Deprecated public final boolean isResolvable(PicoContainer container, ComponentAdapter<?> forAdapter, Type expectedType, NameBinding expectedNameBinding, boolean useNames, Annotation binding)
Deprecated.

Specified by:
  `isResolvable` in interface `Parameter`